Description

For EMIRS, to test the Laser Power output, we would put a 1000 ohm resistor across the Laser Power output and Laser Return. We

would then measure the voltage across that resistor and verify it was 3.00 V, indicating the circuit was sourcing 3 mA, as designed.

For LTES, we at least know the Laser Power output is working, since we've hooked up to a real (OTES) interferometer. But for GSE

testing, when I put a 1000 ohm resistor across Laser Power and Laser Return, I now get 2.42 V, implying we are only sourcing 2.42

mA.

From a Brian G Email: "It seems to me we might have a voltage compliance issue on that op-amp now (we talked about this a LONG

time ago). We talked about adjusting the resistor values in that circuit to try and get more headroom.  Or, this is actually the

“white-wire” rumors swirling about - we could run this op-amp from 12V via white wire to solve the compliance problem"

History

#1 - 06/24/2019 01:30 PM - Greg Mathis

- Project changed from EMIRS to LTES

#2 - 06/25/2019 08:49 AM - Greg Mathis

OK... a few options to fix the laser power current output.  But, a quick analysis to show what we are facing:

We have to supply current for the laser diode.  We target 3mA for the ULM850 VCSEL laser, and we need enough voltage head room to overcome

our set resistor and the diode forward voltage.

With the circuit as-is, the problem is easy to see: 3mA across the 499 ohm resistor is about 1.5V drop.  With the op-amp only able to supply

somewhere between 3.0-3.5V, that leave only 1.5-2.0V for the diode drop.  So, we run out of voltage head room.  There are a couple ways to tackle

this:

Reduce R14, increase R19, to get more room.  R14 could go to 200-ohms, and R19 to 29.8k.  That creates only 0.6V drop across that resistor.  We

still look to be short on head-room with this solution under true worst-case scenario.

Change the ISL70417SEH to the ISL70444SEH like we did for the SOH op-amp.  The ISL70444 has rail-to-rail output, so it would be capable of

supplying Vs-0.4V, so 4.6V nominally maximum.  That should leave plenty of head room (4.6-1.5-2.6=0.5V).  That's enough to cover supply variation

as well.

Lift pin 4 of U1 (the positive supply) and wire to 12V rather than 5V.  That would solve the problem for sure.

Only one other slot of this quad op-amp is used, and it's for the 1mA current source for the thermistors.  The thermistors are in parallel with the

2.49k-ohm resistors, so they are always less than 2.49k, or 2.49V@1mA.  Thus, the fix we choose for a forward diode voltage of 2.6V should also be

adequate for the thermistors.

I lean towards options 2 or 3, rather than option 1, since option 1 is a bit marginal in true worst-case sense.

Brian
#3 - 06/25/2019 08:50 AM - Greg Mathis

- File laserPowerCircuit.png added

#4 - 09/12/2019 11:25 AM - Andrew Mclaine

- Status changed from New to Closed

Laser power current source was fixed by changing out U1 from being ISL70417SEH to ISL70444SEH. ISL70444SEH has a larger rail to rail voltage

capability compared to the predecessor which allows the current source to push the full voltage to allow a 3mA current to drive a 1kΩ.
